Bug 903265 - [abrt] mate-file-manager-1.5.2-1.fc18: caja_window_pane_slot_close: Process /usr/bin/caja was killed by signal 6 (SIGABRT)
Summary: [abrt] mate-file-manager-1.5.2-1.fc18: caja_window_pane_slot_close: Process /...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7fec6505b260eff18f0be70fc3b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-23 15:39 UTC by Don Swaner
Modified: 2013-03-12 08:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 08:23:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.94 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: build_ids (3.76 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: cgroup (130 bytes, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: core_backtrace (2.59 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: dso_list (9.08 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: environ (1.77 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: maps (48.93 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: open_fds (1.63 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details
File: var_log_messages (6.46 KB, text/plain)
2013-01-23 15:39 UTC, Don Swaner
no flags Details

Description Don Swaner 2013-01-23 15:39:12 UTC
Description of problem:
I downloaded 2 kindle books from Amazon and moved them (using the caja file manger) to the kindle documents directory as usual. The file manager had 2 windows open, the Downloads folder, and the kindle documents folder.   After waiting a minute or so, I ejected the kindle, as usual.  At that point the caja file manager crashed.  The mount command shows that the kindle is not mounted, and my kindle shows that it is not mounted.  Sometimes the file manager issues a notification to wait before unplugging the device, that the device is busy -- I did not see such a notification before the crash.  The two books I downloaded are on the kindle and are not corrupted.  The user applications that were open at the time of the crash: firefox, evolution, and mate-terminal.

Version-Release number of selected component:
mate-file-manager-1.5.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        caja
crash_function: caja_window_pane_slot_close
executable:     /usr/bin/caja
kernel:         3.7.2-204.fc18.x86_64
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #4 caja_window_pane_slot_close at caja-window-pane.c:143
 #5 caja_window_slot_close at caja-window.c:994
 #6 mount_removed_callback at caja-application.c:1836
 #10 g_signal_emit_by_name at gsignal.c:3393
 #11 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:1312
 #12 _g_closure_invoke_va at gclosure.c:840
 #14 g_signal_emit_by_name at gsignal.c:3393
 #15 signal_emit_in_idle_do at gproxyvolumemonitor.c:1052
 #20 gtk_main at gtkmain.c:1257

Comment 1 Don Swaner 2013-01-23 15:39:16 UTC
Created attachment 686025 [details]
File: backtrace

Comment 2 Don Swaner 2013-01-23 15:39:18 UTC
Created attachment 686026 [details]
File: build_ids

Comment 3 Don Swaner 2013-01-23 15:39:20 UTC
Created attachment 686027 [details]
File: cgroup

Comment 4 Don Swaner 2013-01-23 15:39:25 UTC
Created attachment 686028 [details]
File: core_backtrace

Comment 5 Don Swaner 2013-01-23 15:39:27 UTC
Created attachment 686029 [details]
File: dso_list

Comment 6 Don Swaner 2013-01-23 15:39:29 UTC
Created attachment 686030 [details]
File: environ

Comment 7 Don Swaner 2013-01-23 15:39:34 UTC
Created attachment 686031 [details]
File: limits

Comment 8 Don Swaner 2013-01-23 15:39:39 UTC
Created attachment 686032 [details]
File: maps

Comment 9 Don Swaner 2013-01-23 15:39:42 UTC
Created attachment 686033 [details]
File: open_fds

Comment 10 Don Swaner 2013-01-23 15:39:46 UTC
Created attachment 686035 [details]
File: proc_pid_status

Comment 11 Don Swaner 2013-01-23 15:39:48 UTC
Created attachment 686037 [details]
File: var_log_messages

Comment 12 Fedora Update System 2013-03-03 22:56:01 UTC
mate-file-manager-1.5.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.5.4-1.fc18

Comment 13 Fedora Update System 2013-03-04 22:31:56 UTC
Package mate-file-manager-1.5.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-file-manager-1.5.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3389/mate-file-manager-1.5.4-1.fc18
then log in and leave karma (feedback).

Comment 14 Don Swaner 2013-03-11 23:23:43 UTC
(In reply to comment #13)
> Package mate-file-manager-1.5.4-1.fc18:
> * should fix your issue,
> * was pushed to the Fedora 18 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing
> mate-file-manager-1.5.4-1.fc18'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2013-3389/mate-file-manager-1.
> 5.4-1.fc18
> then log in and leave karma (feedback).

As requested, the updates-testing version was tested, and there was no problem - it worked fine.

Comment 15 Dan Mashal 2013-03-12 01:28:10 UTC
Thanks for confirming.

Comment 16 Fedora Update System 2013-03-12 08:23:05 UTC
mate-file-manager-1.5.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.